Debian Bug report logs - #669550
chmsee: FTBFS: make[2]: python2: Command not found

version graph

Package: src:chmsee; Maintainer for src:chmsee is LI Daobing <lidaobing@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 20:23:06 UTC

Severity: serious

Tags: sid, wheezy

Found in version chmsee/1.99.08-1

Fixed in version chmsee/1.99.10-1

Done: LI Daobing <lidaobing@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Chinese Team <chinese-developers@lists.alioth.debian.org>:
Bug#669550; Package src:chmsee. (Thu, 19 Apr 2012 20:23:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Chinese Team <chinese-developers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 20:23:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: chmsee: FTBFS: make[2]: python2: Command not found
Date: Thu, 19 Apr 2012 22:04:01 +0200
Source: chmsee
Version: 1.99.08-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> dh build
>    dh_testdir
>    dh_auto_configure
>    debian/rules override_dh_auto_build
> make[1]: Entering directory `/«PKGBUILDDIR»'
> cd src; make -f Makefile.debian
> make[2]: Entering directory `/«PKGBUILDDIR»/src'
> python2 /usr/lib/xulrunner-devel-10.0/sdk/bin/header.py -o csIChm.h -I /usr/lib/xulrunner-devel-10.0/idl --cachedir=. csIChm.idl
> make[2]: python2: Command not found
> make[2]: *** [../components/xpcomchm.xpt] Error 127

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/chmsee_1.99.08-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to LI Daobing <lidaobing@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 05:51:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 05:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 669550-close@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@debian.org>
To: 669550-close@bugs.debian.org
Subject: Bug#669550: fixed in chmsee 1.99.10-1
Date: Sun, 29 Apr 2012 05:47:11 +0000
Source: chmsee
Source-Version: 1.99.10-1

We believe that the bug you reported is fixed in the latest version of
chmsee, which is due to be installed in the Debian FTP archive:

chmsee_1.99.10-1.debian.tar.gz
  to main/c/chmsee/chmsee_1.99.10-1.debian.tar.gz
chmsee_1.99.10-1.dsc
  to main/c/chmsee/chmsee_1.99.10-1.dsc
chmsee_1.99.10-1_amd64.deb
  to main/c/chmsee/chmsee_1.99.10-1_amd64.deb
chmsee_1.99.10.orig.tar.gz
  to main/c/chmsee/chmsee_1.99.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669550@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LI Daobing <lidaobing@debian.org> (supplier of updated chmsee package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Apr 2012 13:30:33 +0800
Source: chmsee
Binary: chmsee
Architecture: source amd64
Version: 1.99.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Changed-By: LI Daobing <lidaobing@debian.org>
Description: 
 chmsee     - CHM file viewer
Closes: 669550
Changes: 
 chmsee (1.99.10-1) unstable; urgency=low
 .
   * new upstream release.
   * Fix "FTBFS: make[2]: python2: Command not found" (Closes: #669550)
     - debian/patches/ftbfs-python2: added.
Checksums-Sha1: 
 0158a6c23c0711600e0f029df935f18db7eae891 1395 chmsee_1.99.10-1.dsc
 48c3469238881ddb91cde1f99926932d4253800d 71616 chmsee_1.99.10.orig.tar.gz
 f50637937caf13871df27623fd0276834c837983 10838 chmsee_1.99.10-1.debian.tar.gz
 bfaab0c5f9fba02369d3af69ece993a2d28eb024 78174 chmsee_1.99.10-1_amd64.deb
Checksums-Sha256: 
 44adca9fe8c259d9248ffd8d7a864c4c601a09ea28b3a17fc7530a7c1958741c 1395 chmsee_1.99.10-1.dsc
 e9522520e8486839e9d7cbb7bdc5fa8e58e472e8cd48bc2d53e817f710eb6d2e 71616 chmsee_1.99.10.orig.tar.gz
 37c6f8388f7c860f25d24437b3b467e7f315c4f9c7efdbae36dd4ac7875048ef 10838 chmsee_1.99.10-1.debian.tar.gz
 03ad481055df194aed8776259ee157d48fe387d979df0237ee6672312a32516d 78174 chmsee_1.99.10-1_amd64.deb
Files: 
 b5e879ea7f4594080c15c868219a698d 1395 text optional chmsee_1.99.10-1.dsc
 8d8a45f10fe68c08d2248ea1df62a697 71616 text optional chmsee_1.99.10.orig.tar.gz
 cddc46a8955260be047d568457cc704e 10838 text optional chmsee_1.99.10-1.debian.tar.gz
 5dcee233549b8d2ff2c194dc9dee1f43 78174 text optional chmsee_1.99.10-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+c0+8ACgkQ5TUK4GCH0vg3TwCfdzn1mIJozArZ7BjtRXsjFHIO
33QAoKNe6kIwjVfzfn1mdC7d+Rj/62Te
=rbga
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:46:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:02:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.